
;***************************************************************************************;
;											;
;   IN QUESTO FILE SONO RACCOLTE LE ROUTINE DI INTERRUPT PER I PIC18Fxx2 E PIC18Fxx8	;
;   V 1.0 (PRIORITA' NON USATE)	 				(ultimo agg. 06/11/02)	;
;											;
;***************************************************************************************;

;
; DEVONO ESSERE DEFINITI NEL PROGRAMMA: W_TEMP, STATUS_TEMP, BSR_TEMP
;



ORG     0x08                    	; ROUTINE DI INTERRUPT
        MOVWF	W_TEMP		  	; SALVO W CORRENTE
	MOVFF	STATUS, STATUS_TEMP	; SALVO IL REGISTRO DI STATO
        MOVFF	BSR, BSR_TEMP        	; SALVO IL REGISTRO BSR (BANK SELECT)

        GOTO    INTERRUPT       	;

INT_OUT
        MOVFF	BSR_TEMP, BSR       	; RIPRISTINO IL REGISTRO BSR (BANK SELECT)
	MOVFF	STATUS_TEMP, STATUS	; SALVO IL REGISTRO DI STATO
        MOVF	W_TEMP, W		  	; SALVO W CORRENTE
        RETFIE




INTERRUPT	;***********************;
					;
	BTFSC	PIR1, CCP1IF		; INTERRUPT SU COMPARE
	CALL	TIMER_UPDATE		;
					;
	BTFSC	PIR1, RCIF		; INTERRUPT SU RICEZIONE BYTE RS232
	CALL	DECODE			;
					;
;	BTFSC	PIRx, YYY		;
;	CALL	ZZZZZ			;
					;
	GOTO	INT_OUT			;

