;-------------------------------------------------------
;		WaveTabs.asm 
;
;		V 1.0		10-06-2004
;-------------------------------------------------------

#DEFINE		SQUARE
#UNDEFINE	SEN
#UNDEFINE	N_SEN
#UNDEFINE	COS
#DEFINE		N_COS
#DEFINE		TRIANGLE
#DEFINE		SAWTOOTH

IFDEF SQUARE
SQUARE_TABLE
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'

IFDEF SEN
SEN_TABLE
	DB	D'128',	D'131'
	DB	D'134',	D'137'
	DB	D'140',	D'143'
	DB	D'146',	D'149'
	DB	D'152',	D'156'
	DB	D'159',	D'162'
	DB	D'165',	D'168'
	DB	D'171',	D'174'
	DB	D'176',	D'179'
	DB	D'182',	D'185'
	DB	D'188',	D'191'
	DB	D'193',	D'196'
	DB	D'199',	D'201'
	DB	D'204',	D'206'
	DB	D'209',	D'211'
	DB	D'213',	D'216'
	DB	D'218',	D'220'
	DB	D'222',	D'224'
	DB	D'226',	D'228'
	DB	D'230',	D'232'
	DB	D'234',	D'235'
	DB	D'237',	D'239'
	DB	D'240',	D'242'
	DB	D'243',	D'244'
	DB	D'246',	D'247'
	DB	D'248',	D'249'
	DB	D'250',	D'251'
	DB	D'251',	D'252'
	DB	D'253',	D'253'
	DB	D'254',	D'254'
	DB	D'254',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'254',	D'254'
	DB	D'253',	D'253'
	DB	D'252',	D'252'
	DB	D'251',	D'250'
	DB	D'249',	D'248'
	DB	D'247',	D'246'
	DB	D'245',	D'244'
	DB	D'242',	D'241'
	DB	D'239',	D'238'
	DB	D'236',	D'235'
	DB	D'233',	D'231'
	DB	D'229',	D'227'
	DB	D'225',	D'223'
	DB	D'221',	D'219'
	DB	D'217',	D'215'
	DB	D'212',	D'210'
	DB	D'207',	D'205'
	DB	D'202',	D'200'
	DB	D'197',	D'195'
	DB	D'192',	D'189'
	DB	D'186',	D'184'
	DB	D'181',	D'178'
	DB	D'175',	D'172'
	DB	D'169',	D'166'
	DB	D'163',	D'160'
	DB	D'157',	D'154'
	DB	D'151',	D'148'
	DB	D'145',	D'142'
	DB	D'138',	D'135'
	DB	D'132',	D'129'
	DB	D'126',	D'123'
	DB	D'120',	D'117'
	DB	D'113',	D'110'
	DB	D'107',	D'104'
	DB	D'101',	D'98'
	DB	D'95',	D'92'
	DB	D'89',	D'86'
	DB	D'83',	D'80'
	DB	D'77',	D'74'
	DB	D'71',	D'69'
	DB	D'66',	D'63'
	DB	D'60',	D'58'
	DB	D'55',	D'53'
	DB	D'50',	D'48'
	DB	D'45',	D'43'
	DB	D'40',	D'38'
	DB	D'36',	D'34'
	DB	D'32',	D'30'
	DB	D'28',	D'26'
	DB	D'24',	D'22'
	DB	D'20',	D'19'
	DB	D'17',	D'16'
	DB	D'14',	D'13'
	DB	D'11',	D'10'
	DB	D'9',	D'8'
	DB	D'7',	D'6'
	DB	D'5',	D'4'
	DB	D'3',	D'3'
	DB	D'2',	D'2'
	DB	D'1',	D'1'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'1'
	DB	D'1',	D'1'
	DB	D'2',	D'2'
	DB	D'3',	D'4'
	DB	D'4',	D'5'
	DB	D'6',	D'7'
	DB	D'8',	D'9'
	DB	D'11',	D'12'
	DB	D'13',	D'15'
	DB	D'16',	D'18'
	DB	D'20',	D'21'
	DB	D'23',	D'25'
	DB	D'27',	D'29'
	DB	D'31',	D'33'
	DB	D'35',	D'37'
	DB	D'39',	D'42'
	DB	D'44',	D'46'
	DB	D'49',	D'51'
	DB	D'54',	D'56'
	DB	D'59',	D'62'
	DB	D'64',	D'67'
	DB	D'70',	D'73'
	DB	D'76',	D'79'
	DB	D'81',	D'84'
	DB	D'87',	D'90'
	DB	D'93',	D'96'
	DB	D'99',	D'103'
	DB	D'106',	D'109'
	DB	D'112',	D'115'
	DB	D'118',	D'121'
	DB	D'124',	D'128'
ENDIF

IFDEF N_SEN
N_SEN_TABLE
	DB	D'128',	D'124'
	DB	D'121',	D'118'
	DB	D'115',	D'112'
	DB	D'109',	D'106'
	DB	D'103',	D'99'
	DB	D'96',	D'93'
	DB	D'90',	D'87'
	DB	D'84',	D'81'
	DB	D'79',	D'76'
	DB	D'73',	D'70'
	DB	D'67',	D'64'
	DB	D'62',	D'59'
	DB	D'56',	D'54'
	DB	D'51',	D'49'
	DB	D'46',	D'44'
	DB	D'42',	D'39'
	DB	D'37',	D'35'
	DB	D'33',	D'31'
	DB	D'29',	D'27'
	DB	D'25',	D'23'
	DB	D'21',	D'20'
	DB	D'18',	D'16'
	DB	D'15',	D'13'
	DB	D'12',	D'11'
	DB	D'9',	D'8'
	DB	D'7',	D'6'
	DB	D'5',	D'4'
	DB	D'4',	D'3'
	DB	D'2',	D'2'
	DB	D'1',	D'1'
	DB	D'1',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'1',	D'1'
	DB	D'2',	D'2'
	DB	D'3',	D'3'
	DB	D'4',	D'5'
	DB	D'6',	D'7'
	DB	D'8',	D'9'
	DB	D'10',	D'11'
	DB	D'13',	D'14'
	DB	D'16',	D'17'
	DB	D'19',	D'20'
	DB	D'22',	D'24'
	DB	D'26',	D'28'
	DB	D'30',	D'32'
	DB	D'34',	D'36'
	DB	D'38',	D'40'
	DB	D'43',	D'45'
	DB	D'48',	D'50'
	DB	D'53',	D'55'
	DB	D'58',	D'60'
	DB	D'63',	D'66'
	DB	D'69',	D'71'
	DB	D'74',	D'77'
	DB	D'80',	D'83'
	DB	D'86',	D'89'
	DB	D'92',	D'95'
	DB	D'98',	D'101'
	DB	D'104',	D'107'
	DB	D'110',	D'113'
	DB	D'117',	D'120'
	DB	D'123',	D'126'
	DB	D'129',	D'132'
	DB	D'135',	D'138'
	DB	D'142',	D'145'
	DB	D'148',	D'151'
	DB	D'154',	D'157'
	DB	D'160',	D'163'
	DB	D'166',	D'169'
	DB	D'172',	D'175'
	DB	D'178',	D'181'
	DB	D'184',	D'186'
	DB	D'189',	D'192'
	DB	D'195',	D'197'
	DB	D'200',	D'202'
	DB	D'205',	D'207'
	DB	D'210',	D'212'
	DB	D'215',	D'217'
	DB	D'219',	D'221'
	DB	D'223',	D'225'
	DB	D'227',	D'229'
	DB	D'231',	D'233'
	DB	D'235',	D'236'
	DB	D'238',	D'239'
	DB	D'241',	D'242'
	DB	D'244',	D'245'
	DB	D'246',	D'247'
	DB	D'248',	D'249'
	DB	D'250',	D'251'
	DB	D'252',	D'252'
	DB	D'253',	D'253'
	DB	D'254',	D'254'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'254'
	DB	D'254',	D'254'
	DB	D'253',	D'253'
	DB	D'252',	D'251'
	DB	D'251',	D'250'
	DB	D'249',	D'248'
	DB	D'247',	D'246'
	DB	D'244',	D'243'
	DB	D'242',	D'240'
	DB	D'239',	D'237'
	DB	D'235',	D'234'
	DB	D'232',	D'230'
	DB	D'228',	D'226'
	DB	D'224',	D'222'
	DB	D'220',	D'218'
	DB	D'216',	D'213'
	DB	D'211',	D'209'
	DB	D'206',	D'204'
	DB	D'201',	D'199'
	DB	D'196',	D'193'
	DB	D'191',	D'188'
	DB	D'185',	D'182'
	DB	D'179',	D'176'
	DB	D'174',	D'171'
	DB	D'168',	D'165'
	DB	D'162',	D'159'
	DB	D'156',	D'152'
	DB	D'149',	D'146'
	DB	D'143',	D'140'
	DB	D'137',	D'134'
	DB	D'131',	D'128'
ENDIF

IFDEF COS
COS_TABLE
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'254',	D'254'
	DB	D'254',	D'253'
	DB	D'253',	D'252'
	DB	D'251',	D'250'
	DB	D'249',	D'249'
	DB	D'247',	D'246'
	DB	D'245',	D'244'
	DB	D'243',	D'241'
	DB	D'240',	D'238'
	DB	D'237',	D'235'
	DB	D'233',	D'232'
	DB	D'230',	D'228'
	DB	D'226',	D'224'
	DB	D'222',	D'220'
	DB	D'217',	D'215'
	DB	D'213',	D'210'
	DB	D'208',	D'206'
	DB	D'203',	D'201'
	DB	D'198',	D'195'
	DB	D'193',	D'190'
	DB	D'187',	D'184'
	DB	D'182',	D'179'
	DB	D'176',	D'173'
	DB	D'170',	D'167'
	DB	D'164',	D'161'
	DB	D'158',	D'155'
	DB	D'152',	D'149'
	DB	D'146',	D'142'
	DB	D'139',	D'136'
	DB	D'133',	D'130'
	DB	D'127',	D'124'
	DB	D'120',	D'117'
	DB	D'114',	D'111'
	DB	D'108',	D'105'
	DB	D'102',	D'99'
	DB	D'96',	D'93'
	DB	D'90',	D'87'
	DB	D'84',	D'81'
	DB	D'78',	D'75'
	DB	D'72',	D'69'
	DB	D'66',	D'64'
	DB	D'61',	D'58'
	DB	D'56',	D'53'
	DB	D'51',	D'48'
	DB	D'46',	D'43'
	DB	D'41',	D'39'
	DB	D'37',	D'34'
	DB	D'32',	D'30'
	DB	D'28',	D'26'
	DB	D'24',	D'23'
	DB	D'21',	D'19'
	DB	D'17',	D'16'
	DB	D'14',	D'13'
	DB	D'12',	D'10'
	DB	D'9',	D'8'
	DB	D'7',	D'6'
	DB	D'5',	D'4'
	DB	D'3',	D'3'
	DB	D'2',	D'2'
	DB	D'1',	D'1'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'1',	D'1'
	DB	D'2',	D'2'
	DB	D'3',	D'3'
	DB	D'4',	D'5'
	DB	D'6',	D'7'
	DB	D'8',	D'9'
	DB	D'10',	D'12'
	DB	D'13',	D'14'
	DB	D'16',	D'17'
	DB	D'19',	D'21'
	DB	D'23',	D'24'
	DB	D'26',	D'28'
	DB	D'30',	D'32'
	DB	D'34',	D'37'
	DB	D'39',	D'41'
	DB	D'43',	D'46'
	DB	D'48',	D'51'
	DB	D'53',	D'56'
	DB	D'58',	D'61'
	DB	D'64',	D'66'
	DB	D'69',	D'72'
	DB	D'75',	D'78'
	DB	D'81',	D'84'
	DB	D'87',	D'90'
	DB	D'93',	D'96'
	DB	D'99',	D'102'
	DB	D'105',	D'108'
	DB	D'111',	D'114'
	DB	D'117',	D'120'
	DB	D'124',	D'127'
	DB	D'130',	D'133'
	DB	D'136',	D'139'
	DB	D'142',	D'146'
	DB	D'149',	D'152'
	DB	D'155',	D'158'
	DB	D'161',	D'164'
	DB	D'167',	D'170'
	DB	D'173',	D'176'
	DB	D'179',	D'182'
	DB	D'184',	D'187'
	DB	D'190',	D'193'
	DB	D'195',	D'198'
	DB	D'201',	D'203'
	DB	D'206',	D'208'
	DB	D'210',	D'213'
	DB	D'215',	D'217'
	DB	D'220',	D'222'
	DB	D'224',	D'226'
	DB	D'228',	D'230'
	DB	D'232',	D'233'
	DB	D'235',	D'237'
	DB	D'238',	D'240'
	DB	D'241',	D'243'
	DB	D'244',	D'245'
	DB	D'246',	D'247'
	DB	D'249',	D'249'
	DB	D'250',	D'251'
	DB	D'252',	D'253'
	DB	D'253',	D'254'
	DB	D'254',	D'254'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
ENDIF

IFDEF N_COS
N_COS_TABLE
	DB	D'0',	D'0'
	DB	D'0',	D'0'
	DB	D'1',	D'1'
	DB	D'1',	D'2'
	DB	D'2',	D'3'
	DB	D'4',	D'5'
	DB	D'6',	D'6'
	DB	D'8',	D'9'
	DB	D'10',	D'11'
	DB	D'12',	D'14'
	DB	D'15',	D'17'
	DB	D'18',	D'20'
	DB	D'22',	D'23'
	DB	D'25',	D'27'
	DB	D'29',	D'31'
	DB	D'33',	D'35'
	DB	D'38',	D'40'
	DB	D'42',	D'45'
	DB	D'47',	D'49'
	DB	D'52',	D'54'
	DB	D'57',	D'60'
	DB	D'62',	D'65'
	DB	D'68',	D'71'
	DB	D'73',	D'76'
	DB	D'79',	D'82'
	DB	D'85',	D'88'
	DB	D'91',	D'94'
	DB	D'97',	D'100'
	DB	D'103',	D'106'
	DB	D'109',	D'113'
	DB	D'116',	D'119'
	DB	D'122',	D'125'
	DB	D'128',	D'131'
	DB	D'135',	D'138'
	DB	D'141',	D'144'
	DB	D'147',	D'150'
	DB	D'153',	D'156'
	DB	D'159',	D'162'
	DB	D'165',	D'168'
	DB	D'171',	D'174'
	DB	D'177',	D'180'
	DB	D'183',	D'186'
	DB	D'189',	D'191'
	DB	D'194',	D'197'
	DB	D'199',	D'202'
	DB	D'204',	D'207'
	DB	D'209',	D'212'
	DB	D'214',	D'216'
	DB	D'218',	D'221'
	DB	D'223',	D'225'
	DB	D'227',	D'229'
	DB	D'231',	D'232'
	DB	D'234',	D'236'
	DB	D'238',	D'239'
	DB	D'241',	D'242'
	DB	D'243',	D'245'
	DB	D'246',	D'247'
	DB	D'248',	D'249'
	DB	D'250',	D'251'
	DB	D'252',	D'252'
	DB	D'253',	D'253'
	DB	D'254',	D'254'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'255',	D'255'
	DB	D'254',	D'254'
	DB	D'253',	D'253'
	DB	D'252',	D'252'
	DB	D'251',	D'250'
	DB	D'249',	D'248'
	DB	D'247',	D'246'
	DB	D'245',	D'243'
	DB	D'242',	D'241'
	DB	D'239',	D'238'
	DB	D'236',	D'234'
	DB	D'232',	D'231'
	DB	D'229',	D'227'
	DB	D'225',	D'223'
	DB	D'221',	D'218'
	DB	D'216',	D'214'
	DB	D'212',	D'209'
	DB	D'207',	D'204'
	DB	D'202',	D'199'
	DB	D'197',	D'194'
	DB	D'191',	D'189'
	DB	D'186',	D'183'
	DB	D'180',	D'177'
	DB	D'174',	D'171'
	DB	D'168',	D'165'
	DB	D'162',	D'159'
	DB	D'156',	D'153'
	DB	D'150',	D'147'
	DB	D'144',	D'141'
	DB	D'138',	D'135'
	DB	D'131',	D'128'
	DB	D'125',	D'122'
	DB	D'119',	D'116'
	DB	D'113',	D'109'
	DB	D'106',	D'103'
	DB	D'100',	D'97'
	DB	D'94',	D'91'
	DB	D'88',	D'85'
	DB	D'82',	D'79'
	DB	D'76',	D'73'
	DB	D'71',	D'68'
	DB	D'65',	D'62'
	DB	D'60',	D'57'
	DB	D'54',	D'52'
	DB	D'49',	D'47'
	DB	D'45',	D'42'
	DB	D'40',	D'38'
	DB	D'35',	D'33'
	DB	D'31',	D'29'
	DB	D'27',	D'25'
	DB	D'23',	D'22'
	DB	D'20',	D'18'
	DB	D'17',	D'15'
	DB	D'14',	D'12'
	DB	D'11',	D'10'
	DB	D'9',	D'8'
	DB	D'6',	D'6'
	DB	D'5',	D'4'
	DB	D'3',	D'2'
	DB	D'2',	D'1'
	DB	D'1',	D'1'
	DB	D'0',	D'0'
	DB	D'0',	D'0'
ENDIF

IFDEF TRIANGLE
TRIANGLE_TABLE
	DB	D'0',	D'2'
	DB	D'4',	D'6'
	DB	D'8',	D'10'
	DB	D'12',	D'14'
	DB	D'16',	D'18'
	DB	D'20',	D'22'
	DB	D'24',	D'26'
	DB	D'28',	D'30'
	DB	D'32',	D'34'
	DB	D'36',	D'38'
	DB	D'40',	D'42'
	DB	D'44',	D'46'
	DB	D'48',	D'50'
	DB	D'52',	D'54'
	DB	D'56',	D'58'
	DB	D'60',	D'62'
	DB	D'64',	D'66'
	DB	D'68',	D'70'
	DB	D'72',	D'74'
	DB	D'76',	D'78'
	DB	D'80',	D'82'
	DB	D'84',	D'86'
	DB	D'88',	D'90'
	DB	D'92',	D'94'
	DB	D'96',	D'98'
	DB	D'100',	D'102'
	DB	D'104',	D'106'
	DB	D'108',	D'110'
	DB	D'112',	D'114'
	DB	D'116',	D'118'
	DB	D'120',	D'122'
	DB	D'124',	D'126'
	DB	D'128',	D'130'
	DB	D'132',	D'134'
	DB	D'136',	D'138'
	DB	D'140',	D'142'
	DB	D'144',	D'146'
	DB	D'148',	D'150'
	DB	D'152',	D'154'
	DB	D'156',	D'158'
	DB	D'160',	D'162'
	DB	D'164',	D'166'
	DB	D'168',	D'170'
	DB	D'172',	D'174'
	DB	D'176',	D'178'
	DB	D'180',	D'182'
	DB	D'184',	D'186'
	DB	D'188',	D'190'
	DB	D'192',	D'194'
	DB	D'196',	D'198'
	DB	D'200',	D'202'
	DB	D'204',	D'206'
	DB	D'208',	D'210'
	DB	D'212',	D'214'
	DB	D'216',	D'218'
	DB	D'220',	D'222'
	DB	D'224',	D'226'
	DB	D'228',	D'230'
	DB	D'232',	D'234'
	DB	D'236',	D'238'
	DB	D'240',	D'242'
	DB	D'244',	D'246'
	DB	D'248',	D'250'
	DB	D'252',	D'254'
	DB	D'254',	D'252'
	DB	D'250',	D'248'
	DB	D'246',	D'244'
	DB	D'242',	D'240'
	DB	D'238',	D'236'
	DB	D'234',	D'232'
	DB	D'230',	D'228'
	DB	D'226',	D'224'
	DB	D'222',	D'220'
	DB	D'218',	D'216'
	DB	D'214',	D'212'
	DB	D'210',	D'208'
	DB	D'206',	D'204'
	DB	D'202',	D'200'
	DB	D'198',	D'196'
	DB	D'194',	D'192'
	DB	D'190',	D'188'
	DB	D'186',	D'184'
	DB	D'182',	D'180'
	DB	D'178',	D'176'
	DB	D'174',	D'172'
	DB	D'170',	D'168'
	DB	D'166',	D'164'
	DB	D'162',	D'160'
	DB	D'158',	D'156'
	DB	D'154',	D'152'
	DB	D'150',	D'148'
	DB	D'146',	D'144'
	DB	D'142',	D'140'
	DB	D'138',	D'136'
	DB	D'134',	D'132'
	DB	D'130',	D'128'
	DB	D'126',	D'124'
	DB	D'122',	D'120'
	DB	D'118',	D'116'
	DB	D'114',	D'112'
	DB	D'110',	D'108'
	DB	D'106',	D'104'
	DB	D'102',	D'100'
	DB	D'98',	D'96'
	DB	D'94',	D'92'
	DB	D'90',	D'88'
	DB	D'86',	D'84'
	DB	D'82',	D'80'
	DB	D'78',	D'76'
	DB	D'74',	D'72'
	DB	D'70',	D'68'
	DB	D'66',	D'64'
	DB	D'62',	D'60'
	DB	D'58',	D'56'
	DB	D'54',	D'52'
	DB	D'50',	D'48'
	DB	D'46',	D'44'
	DB	D'42',	D'40'
	DB	D'38',	D'36'
	DB	D'34',	D'32'
	DB	D'30',	D'28'
	DB	D'26',	D'24'
	DB	D'22',	D'20'
	DB	D'18',	D'16'
	DB	D'14',	D'12'
	DB	D'10',	D'8'
	DB	D'6',	D'4'
	DB	D'2',	D'0'
ENDIF

IFDEF SAWTOOTH
SAWTOOTH_TABLE
	DB	D'0',	D'1'
	DB	D'2',	D'3'
	DB	D'4',	D'5'
	DB	D'6',	D'7'
	DB	D'8',	D'9'
	DB	D'10',	D'11'
	DB	D'12',	D'13'
	DB	D'14',	D'15'
	DB	D'16',	D'17'
	DB	D'18',	D'19'
	DB	D'20',	D'21'
	DB	D'22',	D'23'
	DB	D'24',	D'25'
	DB	D'26',	D'27'
	DB	D'28',	D'29'
	DB	D'30',	D'31'
	DB	D'32',	D'33'
	DB	D'34',	D'35'
	DB	D'36',	D'37'
	DB	D'38',	D'39'
	DB	D'40',	D'41'
	DB	D'42',	D'43'
	DB	D'44',	D'45'
	DB	D'46',	D'47'
	DB	D'48',	D'49'
	DB	D'50',	D'51'
	DB	D'52',	D'53'
	DB	D'54',	D'55'
	DB	D'56',	D'57'
	DB	D'58',	D'59'
	DB	D'60',	D'61'
	DB	D'62',	D'63'
	DB	D'64',	D'65'
	DB	D'66',	D'67'
	DB	D'68',	D'69'
	DB	D'70',	D'71'
	DB	D'72',	D'73'
	DB	D'74',	D'75'
	DB	D'76',	D'77'
	DB	D'78',	D'79'
	DB	D'80',	D'81'
	DB	D'82',	D'83'
	DB	D'84',	D'85'
	DB	D'86',	D'87'
	DB	D'88',	D'89'
	DB	D'90',	D'91'
	DB	D'92',	D'93'
	DB	D'94',	D'95'
	DB	D'96',	D'97'
	DB	D'98',	D'99'
	DB	D'100',	D'101'
	DB	D'102',	D'103'
	DB	D'104',	D'105'
	DB	D'106',	D'107'
	DB	D'108',	D'109'
	DB	D'110',	D'111'
	DB	D'112',	D'113'
	DB	D'114',	D'115'
	DB	D'116',	D'117'
	DB	D'118',	D'119'
	DB	D'120',	D'121'
	DB	D'122',	D'123'
	DB	D'124',	D'125'
	DB	D'126',	D'127'
	DB	D'128',	D'129'
	DB	D'130',	D'131'
	DB	D'132',	D'133'
	DB	D'134',	D'135'
	DB	D'136',	D'137'
	DB	D'138',	D'139'
	DB	D'140',	D'141'
	DB	D'142',	D'143'
	DB	D'144',	D'145'
	DB	D'146',	D'147'
	DB	D'148',	D'149'
	DB	D'150',	D'151'
	DB	D'152',	D'153'
	DB	D'154',	D'155'
	DB	D'156',	D'157'
	DB	D'158',	D'159'
	DB	D'160',	D'161'
	DB	D'162',	D'163'
	DB	D'164',	D'165'
	DB	D'166',	D'167'
	DB	D'168',	D'169'
	DB	D'170',	D'171'
	DB	D'172',	D'173'
	DB	D'174',	D'175'
	DB	D'176',	D'177'
	DB	D'178',	D'179'
	DB	D'180',	D'181'
	DB	D'182',	D'183'
	DB	D'184',	D'185'
	DB	D'186',	D'187'
	DB	D'188',	D'189'
	DB	D'190',	D'191'
	DB	D'192',	D'193'
	DB	D'194',	D'195'
	DB	D'196',	D'197'
	DB	D'198',	D'199'
	DB	D'200',	D'201'
	DB	D'202',	D'203'
	DB	D'204',	D'205'
	DB	D'206',	D'207'
	DB	D'208',	D'209'
	DB	D'210',	D'211'
	DB	D'212',	D'213'
	DB	D'214',	D'215'
	DB	D'216',	D'217'
	DB	D'218',	D'219'
	DB	D'220',	D'221'
	DB	D'222',	D'223'
	DB	D'224',	D'225'
	DB	D'226',	D'227'
	DB	D'228',	D'229'
	DB	D'230',	D'231'
	DB	D'232',	D'233'
	DB	D'234',	D'235'
	DB	D'236',	D'237'
	DB	D'238',	D'239'
	DB	D'240',	D'241'
	DB	D'242',	D'243'
	DB	D'244',	D'245'
	DB	D'246',	D'247'
	DB	D'248',	D'249'
	DB	D'250',	D'251'
	DB	D'252',	D'253'
	DB	D'254',	D'255'
ENDIF
